///File : PanelStats.hpp
//------------------------------------------------------------------------------
/*
    This file is part of forbidden2forget.

    Forbidden2forget is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Forbidden2forget is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with forbidden2forget.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/event.h>
#include <wx/stdpaths.h>
#include <wx/gauge.h>
//------------------------------------------------------------------------------
#include "config.hpp"
#include "f2fverbs/F2fVerbs.hpp"
#include "MainFrame.hpp"
//------------------------------------------------------------------------------

#if not defined PANEL_STATS_HPP_FORBIDDEN_2_FORGET
#define PANEL_STATS_HPP_FORBIDDEN_2_FORGET

class MainFrame;  //On déclare MainFrame avant pr pouvoir l'utiliser juste après.

class PanelStats : public wxPanel
{
public:
    PanelStats(wxWindow* parent, wxWindowID id, MainFrame *PtToMainFrame, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL );
    void Refresh();
    void OnTimer(wxTimerEvent &event);

private:
    wxString FormatTimeSpan(wxTimeSpan timeSpan);

    MainFrame *m_PtToMainFrame;
    F2fVerbs *m_F2fVerbs;

    wxGauge *m_GaugePerCentFinish;

    wxStaticText* m_LabelStats;
    wxStaticText* m_LabelInfo;

    enum{Id_Timer};

    DECLARE_EVENT_TABLE()
};

#endif //PANEL_STATS_HPP_FORBIDDEN_2_FORGET
